@page guides/contributing/feature-suggestion Suggesting Features
@parent guides/contribute 2

@description Learn how to suggest a feature.

@body

CanJS uses [GitHub Issues](https://github.com/canjs/canjs/issues/new) to track feature requests. However,
CanJS is made up of many individual GitHub repositories. Ideally, features are created within the
repository whose code needs to be modified.  For example, features with
[can-define] can be created at [canjs/can-define/issues/new](https://github.com/canjs/can-define/issues/new).

If you do not know which repository your feature belongs to, that’s totally ok!  Please
create your issue in the main
[canjs/canjs issues page](https://github.com/canjs/canjs/issues/new).  The core team will
move the issue to the correct repository if necessary.

When creating a feature issue, it’s very helpful to include:

 - Examples of what using the feature will look like.
 - Benefits and drawbacks of the feature.
 - Why the feature is important.
 - Any implementation details around the feature.

Here’s some example well-written feature requests:

 - [Make events fire asynchronously and dispatched during request animation frame or setImmediate](https://github.com/canjs/can-event/issues/11)
 - [Modify key -> argument behavior in stache](https://github.com/canjs/canjs/issues/1699)

Also, please search for previous feature requests.  If there’s something similar, add to that, or
give it a 👍.

Finally, if there are any questions, reach out to
us on the [CanJS forums](https://forums.bitovi.com/c/canjs) or
[join our Slack](https://www.bitovi.com/community/slack)
and talk to us in the
[#canjs channel](https://bitovi-community.slack.com/messages/CFC22NZ8A).
